# Test: Missing required metadata.id field
# Expected: FAIL
# Error code: invalid_type
# Error path: agent.metadata.id
# Error expected: string

agent:
  metadata:
    name: Missing ID Agent
    title: Missing ID
    icon: ❌

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  menu:
    - trigger: help
      description: Show help
      action: display_help
